Modify

Opened 3 years ago

Closed 12 days ago

Last modified 11 days ago

#14208 closed defect (fixed)

Fix the table header of the filter dialog box

Reported by: thisismunifex Owned by: Don-vip
Priority: normal Milestone: 19.06
Component: Core Version:
Keywords: template_report filter Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. Open the filter dialog box (ALT + SHIFT + F)

What is the expected result?

The header of the filter table should show strings or meaningful abbreviations. Abbreviations should be accompanied with tool tips.

What happens instead?

The table header shows dots/... instead. The (invisible) abbreviations don't show tool tips.

Please provide any additional information below. Attach a screenshot if possible.


URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-01-02 00:53:29 +0100 (Mon, 02 Jan 2017)
Build-Date:2017-01-02 02:33:21
Revision:11427
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11427 de) Windows 7 64-Bit
Memory Usage: 426 MB / 910 MB (221 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1600x1200
Maximum Screen Size: 1600x1200
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-58b92469, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=63942, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20uam5scAA=]
Dataset consistency test: No problems found

Plugins:
+ FixAddresses (33004)
+ buildings_tools (33004)

Attachments (2)

ScreenshotFilterbox.png (15.4 KB) - added by thisismunifex 3 years ago.
14208.gif (41.8 KB) - added by Klumbumbus 4 weeks ago.

Download all attachments as: .zip

Change History (24)

Changed 3 years ago by thisismunifex

Attachment: ScreenshotFilterbox.png added

comment:1 Changed 3 years ago by Don-vip

Description: modified (diff)

comment:2 Changed 3 years ago by Don-vip

Component: unspecifiedCore

comment:3 Changed 14 months ago by Don-vip

Keywords: filter added
Type: enhancementdefect

comment:4 Changed 14 months ago by Don-vip

This code must be changed in FilterDialog.build():

userTable.getColumnModel().getColumn(0).setMaxWidth(1);
userTable.getColumnModel().getColumn(1).setMaxWidth(1);
userTable.getColumnModel().getColumn(3).setMaxWidth(1);
userTable.getColumnModel().getColumn(4).setMaxWidth(1);

It is in pixels, not in characters. But we should not set a fixed size.

comment:5 Changed 2 months ago by GerdP

I see no simple way to calculate the width. The following values work fine with the original header texts:

userTable.getColumnModel().getColumn(0).setMaxWidth(20);
userTable.getColumnModel().getColumn(1).setMaxWidth(22);
userTable.getColumnModel().getColumn(3).setMaxWidth(20);
userTable.getColumnModel().getColumn(4).setMaxWidth(22);

Is there really no way to simply say something like "minimize the width so that the header is displayed"?

comment:6 Changed 2 months ago by Don-vip

work fine.. on your version of Windows with your look and feel (which is probably the same as mine, but not as all users running a variety of OS and look and feels). I don't know how to do that, but the value must be dynamic.

comment:7 Changed 2 months ago by GerdP

We have other dialogs with hard coded values, e.g. LayerListDialog or ChangesetContentTableColumnModel, so it seems the normal way to do it.

comment:8 Changed 2 months ago by Don-vip

We don't always do the normal way because it's easier to hardcode dimensions :) but we should try to avoid them when possible.

comment:9 Changed 5 weeks ago by Don-vip

Milestone: 19.06
Owner: changed from team to Don-vip
Status: newassigned

comment:10 Changed 5 weeks ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 15176/josm:

fix #14208 - improve filter dialog table header (dynamic width, sortable)

comment:11 Changed 5 weeks ago by Don-vip

In 15177/josm:

see #14208 - NPE

comment:12 Changed 5 weeks ago by Klumbumbus

Resolution: fixed
Status: closedreopened

The up an down arrows don't work as expected. If you use them the selecten moves up and down instead of the entries in the list.

comment:13 Changed 5 weeks ago by Klumbumbus

...and if the first entry is selected the up button should be disabled an if the last entry is selected the down button should be disabled.
edit: that was broken already before r15176 though.

Last edited 5 weeks ago by Klumbumbus (previous) (diff)

comment:14 in reply to:  12 Changed 4 weeks ago by Don-vip

Replying to Klumbumbus:

The up an down arrows don't work as expected. If you use them the selecten moves up and down instead of the entries in the list.

Works for me. Can you please share a screenshot or a video?

comment:15 Changed 4 weeks ago by Klumbumbus

It seems the buttons conflict with the new sorting feature. Before sorting the buttons work. If you once click on the header the buttons do crazy things. Here the selection moves instead of the entries and additional an unrelated entry changes:


URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-06-18 03:00:04 +0200 (Tue, 18 Jun 2019)
Build-Date:2019-06-18 01:31:03
Revision:15182
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15182 de) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1803 (17134)
Memory Usage: 885 MB / 1820 MB (464 MB allocated, but free)
Java version: 1.8.0_211-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files (x86)\josm-latest.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Djnlpx.splashport=57135, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (34908)
+ HouseNumberTaggingTool (34977)
+ OpeningHoursEditor (34977)
+ PicLayer (35030)
+ SimplifyArea (34977)
+ apache-commons (34908)
+ apache-http (34908)
+ buildings_tools (34982)
+ editgpx (34908)
+ ejml (34908)
+ geojson (124)
+ geotools (34908)
+ imagery-xml-bounds (35023)
+ imagery_offset_db (34908)
+ jaxb (35014)
+ jna (34908)
+ jogl (1.2.3)
+ jts (34908)
+ log4j (34908)
+ measurement (34977)
+ osm-obj-info (51)
+ photo_geotagging (34908)
+ photoadjust (34977)
+ reltoolbox (34977)
+ reverter (34999)
+ rex (53)
+ tag2link (34977)
+ tageditor (34977)
+ tagging-preset-tester (34908)
+ terracer (34977)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (34977)
Last edited 4 weeks ago by Klumbumbus (previous) (diff)

Changed 4 weeks ago by Klumbumbus

Attachment: 14208.gif added

comment:16 Changed 3 weeks ago by Don-vip

The behaviour is not good right now. If I can't get it fixed soon, I'll revert the change to make it right in next version.

comment:17 Changed 12 days ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 15226/josm:

fix #14208 - add dedicated buttons in filter dialog to sort/reverse filters order.

Major overhaul/harmonization of our reorderable/sortable models.

comment:18 Changed 12 days ago by Don-vip

@Klumbumbus everything should work as expected now.

comment:19 Changed 12 days ago by Klumbumbus

I can't find a bug anymore ;)

comment:20 Changed 12 days ago by Klumbumbus

change 9 dots to 3 characters E, H and M --> r15226 "Well that escalated quickly" :D

comment:21 Changed 12 days ago by Don-vip

haha yes :)

comment:22 Changed 11 days ago by Don-vip

In 15230/josm:

see #14208 - fix Spotbugs warning (useless condition)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.